This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 205929 - Review Request: libfreebob - FreeBoB firewire audio driver library
Review Request: libfreebob - FreeBoB firewire audio driver library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On: 205928
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-10 09:19 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 17:09:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-09-10 09:19:15 EDT
Spec URL: http://people.redhat.com/green/FE/devel/libfreebob.spec
SRPM URL: http://people.redhat.com/green/FE/devel/libfreebob-1.0-1.src.rpm
Description: 
libfreebob implements a userland driver for BeBoB-based fireware audio
devices.

Once approved, jack-audio-connection-kit should BuildRequire this.  I've also already submitted a patch for qjackctl.  I've tested all this with a presonus firebox and it works.

Note that this requires libavc1394 be upgraded to version 0.5.3.
Comment 1 Vedran Miletić 2006-09-25 16:42:57 EDT
I'm glad this is in process of getting included in Extras finally. I also own a 
PreSonus FireBox, great card :)

I have been providing FreeBoB packages along with JACK and relevant libs for 
FC5 for a while. They are here: http://www.ffri.hr/~vmiletic/linux/fedora/

You say you bumped libavc1394. It also needs libiec61883 1.1.0, afaik. I also 
packaged svn version of libraw1394, as suggested on FreeBoB page.

And last, but not the least: do you also plan to add FireWire soundcard 
detection support to system-config-soundcard at some point?
Comment 2 Anthony Green 2006-09-25 21:26:48 EDT
(In reply to comment #1)
> I'm glad this is in process of getting included in Extras finally. I also own a 
> PreSonus FireBox, great card :)
> 
> I have been providing FreeBoB packages along with JACK and relevant libs for 
> FC5 for a while. They are here: http://www.ffri.hr/~vmiletic/linux/fedora/

Oh, cool.  I'll look at your package.  BTW, contributing to Extras is pretty
straight forward for anybody to do.
 
> You say you bumped libavc1394. 

Yes, I got the maintainer to push a newer version into FC.

> It also needs libiec61883 1.1.0, afaik. I also 
> packaged svn version of libraw1394, as suggested on FreeBoB page.

When I asked about this I was told that it wasn't all that important, and  I
could just tweak the configury to require the older version we have in FC.

> And last, but not the least: do you also plan to add FireWire soundcard 
> detection support to system-config-soundcard at some point?

I wasn't planning on it.  My understanding is that there's some upheaval in the
works for audio in Fedora (see PulseAudio).   Whatever is done, should probably
be done in the context of PulseAudio.

Comment 3 Andy Shevchenko 2006-10-11 08:39:01 EDT
Several comments here.

Is a svn release post- or pre- 1.0?
If it pre- I think you should use release tag like 0.1.%{date}%{?dist}.
For the post-like the release changed to 1.%{date}%{?dist}.

Why do you not write '%{_includedir}/*' instead of '%{_prefix}/include/*'?
Comment 4 Anthony Green 2006-10-11 08:48:15 EDT
(In reply to comment #3)
> Several comments here.
> 
> Is a svn release post- or pre- 1.0?
> If it pre- I think you should use release tag like 0.1.%{date}%{?dist}.
> For the post-like the release changed to 1.%{date}%{?dist}.

It _is_ 1.0.  They just didn't have a tarball available when it was released.  
It looks like they finally made one just a few days ago.  I'll update the 
package to use this tarball.

> 
> Why do you not write '%{_includedir}/*' instead of '%{_prefix}/include/*'?
> 

I'll change that.

Thanks
Comment 6 Kevin Fenzi 2006-10-14 12:54:37 EDT
I would be happy to review this. 

Look for a full review in a little while. 
Comment 7 Kevin Fenzi 2006-10-14 13:18:29 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
aa550528324a4dfb3cf7c9a90d83c694  libfreebob-1.0.0.tar.bz2
aa550528324a4dfb3cf7c9a90d83c694  libfreebob-1.0.0.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.
OK - Package compiles and builds on at least one arch.
See below - Package has no duplicate files in %files.
OK - Package owns all the directories it creates.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.              
i386/x86_64 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. You seem to be including the docs in both the main package
and the -devel package. Perhaps just have them in the main package
files?

2. rpmlint says:

W: libfreebob-devel summary-ended-with-dot Libraries, includes etc to develop 
with libfreebob.

Might remove the trailing . to make rpmlint happy. ;)
Comment 8 Anthony Green 2006-10-21 13:31:45 EDT
(In reply to comment #7)
> Issues:
> 
> 1. You seem to be including the docs in both the main package
> and the -devel package. Perhaps just have them in the main package
> files?
> 
> 2. rpmlint says:
> 
> W: libfreebob-devel summary-ended-with-dot Libraries, includes etc to develop 
> with libfreebob.
> 
> Might remove the trailing . to make rpmlint happy. ;)

Fixed and fixed.   Thanks for working on this.  New bits here:

Spec URL: http://people.redhat.com/green/FE/devel/libfreebob.spec
SRPM URL: http://people.redhat.com/green/FE/devel/libfreebob-1.0.0-3.src.rpm

Approved?

Comment 9 Kevin Fenzi 2006-10-21 16:03:23 EDT
Yeah, I don't see any further issues, so this package is APPROVED. 

Don't forget to close this NEXTRELEASE once it's been imported and built. 

Also, consider doing a review of another waiting package to help spread out the
reviewing load. 
Comment 10 Anthony Green 2006-10-21 17:09:14 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.